matching.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Sorted
| Sorted propagators

## Functions

template<class View>
bool | Gecode::Int::Sorted::glover (ViewArray< View > &x, ViewArray< View > &y, int tau[], int phi[], OfflineMinItem sequence[], int vertices[])
| Glover's maximum matching in a bipartite graph.
template<class View>
bool | Gecode::Int::Sorted::revglover (ViewArray< View > &x, ViewArray< View > &y, int tau[], int phiprime[], OfflineMinItem sequence[], int vertices[])
| Symmetric glover function for the upper domain bounds.